# Sanitizer_UvmData Struct Reference
[Sanitizer Callback API]

Data passed into a managed memory callback function. More...

## Data Fields

uint64_t | address
CUcontext | context
Sanitizer_StreamHandle | hStream
CUstream | stream
Sanitizer_MemoryVisibility | visibility

## Detailed Description

Data passed into a managed memory callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_UVM. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

uint64_t Sanitizer_UvmData::address

The address of the allocation.

CUcontext Sanitizer_UvmData::context

The context where the allocation is located.

Sanitizer_StreamHandle Sanitizer_UvmData::hStream

Unique handle for the stream.

CUstream Sanitizer_UvmData::stream

The stream on which the memory is attached. This is only valid if visibility is SANITIZER_MEMORY_VISIBILITY_STREAM

Sanitizer_MemoryVisibility Sanitizer_UvmData::visibility

New visibility for the allocation.